#!/bin/sh

set -x

for DRIVERSPATH in /usr/lib/pcsc/drivers /usr/lib/readers ; do
    CCIDPATH=$DRIVERSPATH/ifd-ccid.bundle
    CCIDPATHFILE=$DRIVERSPATH/ifd-ccid.bundle/Contents/Info.plist
    CCIDPATHFILEORIG=$DRIVERSPATH/ifd-ccid.bundle/Contents/Info-orig-bit4id.plist
    if test "$1"x = "uninstall"x ; then
        if [ -f $CCIDPATHFILEORIG ]
        then
            rm -f $CCIDPATHFILE
            mv $CCIDPATHFILEORIG $CCIDPATHFILE
        fi
    else
        if test -f $CCIDPATHFILE && !(grep -i '<string>0x25DD</string>' $CCIDPATHFILE) > /dev/null
        then
            rm -f $CCIDPATHFILEORIG
            mv $CCIDPATHFILE $CCIDPATHFILEORIG
            VIDS='<string>0x25DD<\/string>\n\t\t<string>0x25DD<\/string>\n\t\t<string>0x25DD<\/string>\n\t\t<string>0x25DD<\/string>\n\t\t<string>0x25DD<\/string>'
            PIDS='<string>0x1201<\/string>\n\t\t<string>0x2221<\/string>\n\t\t<string>0x2321<\/string>\n\t\t<string>0x1101<\/string>\n\t\t<string>0x3111<\/string>'
            NAMES='<string>Bit4id cryptoKEY<\/string>\n\t\t<string>Bit4id iAM<\/string>\n\t\t<string>Bit4id token<\/string>\n\t\t<string>Bit4id miniLector-s<\/string>\n\t\t<string>Bit4id miniLector<\/string>'
            sed -e "/<key>ifdVendorID<\/key>/ {N; s/\(<array>\)/\1\n\t\t$VIDS/}" < $CCIDPATHFILEORIG | \
            sed -e "/<key>ifdProductID<\/key>/ {N; s/\(<array>\)/\1\n\t\t$PIDS/}" | \
            sed -e "/<key>ifdFriendlyName<\/key>/ {N; s/\(<array>\)/\1\n\t\t$NAMES/}" \
                > $CCIDPATHFILE
        fi
    fi
done
if [ -x /etc/init.d/pcscd ]
then
    invoke-rc.d pcscd restart 2>/dev/null 3>/dev/null || service pcscd restart 2>/dev/null 3>/dev/null
fi

